kthread_should_stop
Prev | Internal Functions | Next

## Name

kthread_should_stop — should this kthread return now?

## Synopsis

`int kthread_should_stop (` |  | void`)`;

## Arguments

`void`

  no arguments

## Description

When someone calls `kthread_stop` on your kthread, it will be woken and this will return true. You should then return, and your return value will be passed through to `kthread_stop`.

Prev | Up | Next
kthread_run | Home | kthread_create